python3-certbot-nginx, missing pyparsing 2.2.0

Issues related to applications and software problems and general support
Post Reply
izhar
Posts: 1
Joined: 2021/02/22 07:40:56

python3-certbot-nginx, missing pyparsing 2.2.0

Post by izhar » 2021/02/22 07:48:12

couldn't login to mantis to report this bug, (couldn't find reset password link), but anybody know if there are updates-testing repos or something that carry pyparsing 2.2.0? Trying to install python3-certbot-nginx but i'm getting this error.

Code: Select all

# dnf install --enablerepo=\* --disablerepo=\*devel --disablerepo=media\* --disablerepo=\*debuginfo --disablerepo=\*source --nobest python3-certbot-nginx
Last metadata expiration check: 0:36:28 ago on Mon 22 Feb 2021 23:07:14 +08.
 Problem: conflicting requests
  - nothing provides python3.6dist(pyparsing) >= 2.2.0 needed by python3-certbot-nginx-1.12.0-1.el8.noarch
(try to add '--skip-broken' to skip uninstallable packages)
Checking the version of pyparsing, seems like main repo carry only 2.1.10

Code: Select all

# dnf info python3-pyparsing.noarch
Last metadata expiration check: 0:42:01 ago on Mon 22 Feb 2021 23:04:05 +08.
Available Packages
Name         : python3-pyparsing
Version      : 2.1.10
Release      : 7.el8
Architecture : noarch
Size         : 142 k

sml
Posts: 221
Joined: 2020/01/17 09:01:44

Re: python3-certbot-nginx, missing pyparsing 2.2.0

Post by sml » 2021/02/23 15:23:59

pkgs.org lists two third-party repos with pyparsing 2.4.7: CERT Forensics Tools and Raven. But be careful: replacing the version from the official repo with another one may lead to problems on future upgrades. I'd rather wait till rhbz#1931256 is resolved.

User avatar
TrevorH
Forum Moderator
Posts: 30344
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: python3-certbot-nginx, missing pyparsing 2.2.0

Post by TrevorH » 2021/02/23 17:18:28

python3-certbot-nginx is from EPEL and has been incorrectly built to depend on a version of python3-pyparsing that does not exist on CentOS. It needs to be reported to the maintainer via bugzilla.redhat.com in the Fedora EPEL section. It is an EPEL problem.
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 8 - General Support”